# Products

## GET /v1/core/products

> List all products.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"ListProductsApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/ListProducts_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"ListProducts_Data":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ProductMapSummary"}}},"required":["items"]},"ProductMapSummary":{"type":"object","properties":{"image":{"type":"string"},"price":{"type":"number"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"calories":{"type":"number"},"sort":{"type":"number"},"allergies":{"type":"array","items":{"type":"string"}},"active":{"type":"boolean"},"type":{"type":"string","enum":["combo","prepared","raw","service","wallet-voucher"]},"sku":{"type":"string"},"inventory":{"type":"boolean"},"primaryUomUid":{"type":"string"},"uid":{"type":"string"},"id":{"type":"string"},"categoryId":{"type":"string"},"taxGroupUid":{"type":"string"},"category":{"$ref":"#/components/schemas/ProductMapSummary_Category"},"bomUid":{"type":"string"},"listUids":{"type":"array","items":{"type":"string"}},"comboGroups":{"type":"array","items":{"$ref":"#/components/schemas/ComboGroupM"}}},"required":["price","locales","uid","id","categoryId","category","comboGroups"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"ProductMapSummary_Category":{"type":"object","properties":{"image":{"type":"string"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"sort":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"id":{"type":"string"}},"required":["locales","uid","id"]},"ComboGroupM":{"type":"object","properties":{"locales":{"$ref":"#/components/schemas/__type_174bf132"},"min":{"type":"number"},"max":{"type":"number"},"uid":{"type":"string"},"options":{"type":"array","items":{"$ref":"#/components/schemas/ComboOptionM"}}},"required":["locales","min","max","uid","options"]},"ComboOptionM":{"type":"object","properties":{"upcharge":{"type":"number"},"selected":{"type":"boolean"},"uid":{"type":"string"},"productUid":{"type":"string"}},"required":["uid","productUid"]}}},"paths":{"/v1/core/products":{"get":{"operationId":"Products_list","parameters":[{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListProductsApiResponse"}}}}},"summary":"List all products.","tags":["Products"]}}}}
```

## POST /v1/core/products

> Creates new product.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"CreateProductApiRequest":{"type":"object","properties":{"params":{"$ref":"#/components/schemas/CreateProduct_Params"}},"required":["params"]},"CreateProduct_Params":{"type":"object","properties":{"type":{"type":"string","enum":["combo","prepared","raw","service","wallet-voucher"]},"categoryId":{"type":"string"},"image":{"type":"string"},"locales":{"$ref":"#/components/schemas/CreateProduct_Params_Locales"},"price":{"type":"number"},"calories":{"type":"number"},"sort":{"type":"number"},"allergies":{"type":"array","items":{"type":"string"}},"active":{"type":"boolean"},"posImageUrl":{"type":"string"},"taxGroupUid":{"type":"string"},"inventory":{"type":"boolean"},"primaryUomUid":{"type":"string"},"comboGroups":{"type":"array","items":{"$ref":"#/components/schemas/CreateProduct_Params_ComboGroupsItem"}}},"required":["categoryId","locales","price"]},"CreateProduct_Params_Locales":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/CreateProduct_Params_Locales_Ar"},"en":{"$ref":"#/components/schemas/CreateProduct_Params_Locales_En"}},"required":["ar","en"]},"CreateProduct_Params_Locales_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"CreateProduct_Params_Locales_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"CreateProduct_Params_ComboGroupsItem":{"type":"object","properties":{"locales":{"$ref":"#/components/schemas/CreateProduct_Params_ComboGroupsItem_Locales"},"min":{"type":"number"},"max":{"type":"number"},"options":{"type":"array","items":{"$ref":"#/components/schemas/CreateProduct_Params_ComboGroupsItem_OptionsItem"}}},"required":["locales","min","max","options"]},"CreateProduct_Params_ComboGroupsItem_Locales":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/CreateProduct_Params_ComboGroupsItem_Locales_Ar"},"en":{"$ref":"#/components/schemas/CreateProduct_Params_ComboGroupsItem_Locales_En"}},"required":["ar","en"]},"CreateProduct_Params_ComboGroupsItem_Locales_Ar":{"type":"object","properties":{}},"CreateProduct_Params_ComboGroupsItem_Locales_En":{"type":"object","properties":{}},"CreateProduct_Params_ComboGroupsItem_OptionsItem":{"type":"object","properties":{"productUid":{"type":"string"},"upcharge":{"type":"number"},"selected":{"type":"boolean"}},"required":["productUid","upcharge"]},"CreateProductApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/CreateProduct_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"CreateProduct_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/CreateProduct_Data_Item"}},"required":["item"]},"CreateProduct_Data_Item":{"type":"object","properties":{"image":{"type":"string"},"price":{"type":"number"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"calories":{"type":"number"},"sort":{"type":"number"},"allergies":{"type":"array","items":{"type":"string"}},"active":{"type":"boolean"},"type":{"type":"string","enum":["combo","prepared","raw","service","wallet-voucher"]},"sku":{"type":"string"},"inventory":{"type":"boolean"},"primaryUomUid":{"type":"string"},"uid":{"type":"string"},"id":{"type":"string"},"category":{"$ref":"#/components/schemas/CreateProduct_Data_Item_Category"},"modifiers":{"type":"array","items":{"$ref":"#/components/schemas/ModifierAssignmentMap"}},"taxGroupUid":{"type":"string"},"bomUid":{"type":"string"},"listUids":{"type":"array","items":{"type":"string"}},"uomAssignments":{"type":"array","items":{"$ref":"#/components/schemas/UomAssignmentM"}},"comboGroups":{"type":"array","items":{"$ref":"#/components/schemas/ComboGroupM"}}},"required":["price","locales","uid","id","category","modifiers","listUids","uomAssignments","comboGroups"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"CreateProduct_Data_Item_Category":{"type":"object","properties":{"image":{"type":"string"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"sort":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"id":{"type":"string"}},"required":["locales","uid","id"]},"ModifierAssignmentMap":{"type":"object","properties":{"minSelection":{"type":"number"},"maxSelection":{"type":"number"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"options":{"type":"array","items":{"$ref":"#/components/schemas/ModifierOptionAssignmentMap"}}},"required":["options"]},"ModifierOptionAssignmentMap":{"type":"object","properties":{"defaultQuantity":{"type":"number"},"uid":{"type":"string"},"id":{"type":"string"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"price":{"type":"number"},"isActive":{"type":"boolean"},"sortNumber":{"type":"number"},"multiple":{"type":"boolean"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uomAssignmentUid":{"type":"string"},"uomUid":{"type":"string"},"productUid":{"type":"string"},"modifierOption":{"type":"string"}},"required":["uid","id","locales","multiple","modifierOption"]},"UomAssignmentM":{"type":"object","properties":{"conversionRate":{"type":"number"},"purchasable":{"type":"boolean","nullable":true},"barcode":{"type":"string","nullable":true},"uid":{"type":"string"},"uomUid":{"type":"string"}},"required":["conversionRate","uid","uomUid"]},"ComboGroupM":{"type":"object","properties":{"locales":{"$ref":"#/components/schemas/__type_174bf132"},"min":{"type":"number"},"max":{"type":"number"},"uid":{"type":"string"},"options":{"type":"array","items":{"$ref":"#/components/schemas/ComboOptionM"}}},"required":["locales","min","max","uid","options"]},"ComboOptionM":{"type":"object","properties":{"upcharge":{"type":"number"},"selected":{"type":"boolean"},"uid":{"type":"string"},"productUid":{"type":"string"}},"required":["uid","productUid"]},"CreateProductApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/CreateProduct_Error"}},"required":["error"]},"CreateProduct_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/CreateProduct_ErrorCodes_enum"}]}},"required":["code"]},"CreateProduct_ErrorCodes_enum":{"type":"string","enum":["INVALID_PRICE"]}}},"paths":{"/v1/core/products":{"post":{"operationId":"Products_create","parameters":[{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductApiRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductApiError"}}}}},"summary":"Creates new product.","tags":["Products"]}}}}
```

## GET /v1/core/products/{uid}

> Returns a product.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"GetProductApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/GetProduct_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"GetProduct_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/GetProduct_Data_Item"}},"required":["item"]},"GetProduct_Data_Item":{"type":"object","properties":{"image":{"type":"string"},"price":{"type":"number"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"calories":{"type":"number"},"sort":{"type":"number"},"allergies":{"type":"array","items":{"type":"string"}},"active":{"type":"boolean"},"type":{"type":"string","enum":["combo","prepared","raw","service","wallet-voucher"]},"sku":{"type":"string"},"inventory":{"type":"boolean"},"primaryUomUid":{"type":"string"},"uid":{"type":"string"},"id":{"type":"string"},"category":{"$ref":"#/components/schemas/GetProduct_Data_Item_Category"},"modifiers":{"type":"array","items":{"$ref":"#/components/schemas/ModifierAssignmentMap"}},"taxGroupUid":{"type":"string"},"bomUid":{"type":"string"},"listUids":{"type":"array","items":{"type":"string"}},"uomAssignments":{"type":"array","items":{"$ref":"#/components/schemas/UomAssignmentM"}},"comboGroups":{"type":"array","items":{"$ref":"#/components/schemas/ComboGroupM"}}},"required":["price","locales","uid","id","category","modifiers","listUids","uomAssignments","comboGroups"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"GetProduct_Data_Item_Category":{"type":"object","properties":{"image":{"type":"string"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"sort":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"id":{"type":"string"}},"required":["locales","uid","id"]},"ModifierAssignmentMap":{"type":"object","properties":{"minSelection":{"type":"number"},"maxSelection":{"type":"number"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"options":{"type":"array","items":{"$ref":"#/components/schemas/ModifierOptionAssignmentMap"}}},"required":["options"]},"ModifierOptionAssignmentMap":{"type":"object","properties":{"defaultQuantity":{"type":"number"},"uid":{"type":"string"},"id":{"type":"string"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"price":{"type":"number"},"isActive":{"type":"boolean"},"sortNumber":{"type":"number"},"multiple":{"type":"boolean"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uomAssignmentUid":{"type":"string"},"uomUid":{"type":"string"},"productUid":{"type":"string"},"modifierOption":{"type":"string"}},"required":["uid","id","locales","multiple","modifierOption"]},"UomAssignmentM":{"type":"object","properties":{"conversionRate":{"type":"number"},"purchasable":{"type":"boolean","nullable":true},"barcode":{"type":"string","nullable":true},"uid":{"type":"string"},"uomUid":{"type":"string"}},"required":["conversionRate","uid","uomUid"]},"ComboGroupM":{"type":"object","properties":{"locales":{"$ref":"#/components/schemas/__type_174bf132"},"min":{"type":"number"},"max":{"type":"number"},"uid":{"type":"string"},"options":{"type":"array","items":{"$ref":"#/components/schemas/ComboOptionM"}}},"required":["locales","min","max","uid","options"]},"ComboOptionM":{"type":"object","properties":{"upcharge":{"type":"number"},"selected":{"type":"boolean"},"uid":{"type":"string"},"productUid":{"type":"string"}},"required":["uid","productUid"]},"GetProductApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/GetProduct_Error"}},"required":["error"]},"GetProduct_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/GetProduct_ErrorCodes_enum"}]}},"required":["code"]},"GetProduct_ErrorCodes_enum":{"type":"string","enum":["NotFound"]}}},"paths":{"/v1/core/products/{uid}":{"get":{"operationId":"Products_get","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProductApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProductApiError"}}}}},"summary":"Returns a product.","tags":["Products"]}}}}
```

## DELETE /v1/core/products/{uid}

> Deletes a product.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"DeleteProductApiRequest":{"type":"object","properties":{"params":{"$ref":"#/components/schemas/DeleteProduct_Params"}},"required":["params"]},"DeleteProduct_Params":{"type":"object","properties":{"id":{"type":"string"}},"required":["id"]}}},"paths":{"/v1/core/products/{uid}":{"delete":{"operationId":"Products_delete","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteProductApiRequest"}}}}},"summary":"Deletes a product.","tags":["Products"]}}}}
```

## PATCH /v1/core/products/{uid}

> Updates a product.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"UpdateProductApiRequest":{"type":"object","properties":{"params":{"$ref":"#/components/schemas/UpdateProduct_Params"}},"required":["params"]},"UpdateProduct_Params":{"type":"object","properties":{"categoryId":{"type":"string"},"image":{"type":"string","nullable":true},"locales":{"type":"object"},"price":{"type":"number"},"calories":{"type":"number","nullable":true},"sort":{"type":"number","nullable":true},"allergies":{"type":"object"},"active":{"type":"boolean","nullable":true},"type":{"type":"string","enum":["combo","prepared","raw","service","wallet-voucher"]},"taxGroupUid":{"type":"string"},"sku":{"type":"string"},"bomUid":{"type":"string"},"inventory":{"type":"boolean"},"primaryUomUid":{"type":"string"},"uomAssingments":{"type":"array","items":{"$ref":"#/components/schemas/UpdateProduct_Params_UomAssingmentsItem"}},"comboGroups":{"type":"array","items":{"$ref":"#/components/schemas/UpdateProduct_Params_ComboGroupsItem"}}},"required":["price"]},"UpdateProduct_Params_UomAssingmentsItem":{"type":"object","properties":{"uomUid":{"type":"string"},"conversionRate":{"type":"number"},"purchasable":{"type":"boolean","nullable":true},"barcode":{"type":"string","nullable":true}},"required":["uomUid","conversionRate","purchasable","barcode"]},"UpdateProduct_Params_ComboGroupsItem":{"type":"object","properties":{"uid":{"type":"string"},"locales":{"$ref":"#/components/schemas/UpdateProduct_Params_ComboGroupsItem_Locales"},"min":{"type":"number"},"max":{"type":"number"},"options":{"type":"array","items":{"$ref":"#/components/schemas/UpdateProduct_Params_ComboGroupsItem_OptionsItem"}}},"required":["uid","locales","min","max","options"]},"UpdateProduct_Params_ComboGroupsItem_Locales":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/UpdateProduct_Params_ComboGroupsItem_Locales_Ar"},"en":{"$ref":"#/components/schemas/UpdateProduct_Params_ComboGroupsItem_Locales_En"}},"required":["ar","en"]},"UpdateProduct_Params_ComboGroupsItem_Locales_Ar":{"type":"object","properties":{}},"UpdateProduct_Params_ComboGroupsItem_Locales_En":{"type":"object","properties":{}},"UpdateProduct_Params_ComboGroupsItem_OptionsItem":{"type":"object","properties":{"uid":{"type":"string"},"productUid":{"type":"string"},"upcharge":{"type":"number"},"selected":{"type":"boolean"}},"required":["uid","productUid","upcharge"]},"UpdateProductApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/UpdateProduct_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"UpdateProduct_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/UpdateProduct_Data_Item"}},"required":["item"]},"UpdateProduct_Data_Item":{"type":"object","properties":{"image":{"type":"string"},"price":{"type":"number"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"calories":{"type":"number"},"sort":{"type":"number"},"allergies":{"type":"array","items":{"type":"string"}},"active":{"type":"boolean"},"type":{"type":"string","enum":["combo","prepared","raw","service","wallet-voucher"]},"sku":{"type":"string"},"inventory":{"type":"boolean"},"primaryUomUid":{"type":"string"},"uid":{"type":"string"},"id":{"type":"string"},"category":{"$ref":"#/components/schemas/UpdateProduct_Data_Item_Category"},"modifiers":{"type":"array","items":{"$ref":"#/components/schemas/ModifierAssignmentMap"}},"taxGroupUid":{"type":"string"},"bomUid":{"type":"string"},"listUids":{"type":"array","items":{"type":"string"}},"uomAssignments":{"type":"array","items":{"$ref":"#/components/schemas/UomAssignmentM"}},"comboGroups":{"type":"array","items":{"$ref":"#/components/schemas/ComboGroupM"}}},"required":["price","locales","uid","id","category","modifiers","listUids","uomAssignments","comboGroups"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"UpdateProduct_Data_Item_Category":{"type":"object","properties":{"image":{"type":"string"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"sort":{"type":"number","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"id":{"type":"string"}},"required":["locales","uid","id"]},"ModifierAssignmentMap":{"type":"object","properties":{"minSelection":{"type":"number"},"maxSelection":{"type":"number"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"options":{"type":"array","items":{"$ref":"#/components/schemas/ModifierOptionAssignmentMap"}}},"required":["options"]},"ModifierOptionAssignmentMap":{"type":"object","properties":{"defaultQuantity":{"type":"number"},"uid":{"type":"string"},"id":{"type":"string"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"price":{"type":"number"},"isActive":{"type":"boolean"},"sortNumber":{"type":"number"},"multiple":{"type":"boolean"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uomAssignmentUid":{"type":"string"},"uomUid":{"type":"string"},"productUid":{"type":"string"},"modifierOption":{"type":"string"}},"required":["uid","id","locales","multiple","modifierOption"]},"UomAssignmentM":{"type":"object","properties":{"conversionRate":{"type":"number"},"purchasable":{"type":"boolean","nullable":true},"barcode":{"type":"string","nullable":true},"uid":{"type":"string"},"uomUid":{"type":"string"}},"required":["conversionRate","uid","uomUid"]},"ComboGroupM":{"type":"object","properties":{"locales":{"$ref":"#/components/schemas/__type_174bf132"},"min":{"type":"number"},"max":{"type":"number"},"uid":{"type":"string"},"options":{"type":"array","items":{"$ref":"#/components/schemas/ComboOptionM"}}},"required":["locales","min","max","uid","options"]},"ComboOptionM":{"type":"object","properties":{"upcharge":{"type":"number"},"selected":{"type":"boolean"},"uid":{"type":"string"},"productUid":{"type":"string"}},"required":["uid","productUid"]},"UpdateProductApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/UpdateProduct_Error"}},"required":["error"]},"UpdateProduct_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/UpdateProduct_ErrorCodes_enum"}]}},"required":["code"]},"UpdateProduct_ErrorCodes_enum":{"type":"string","enum":["INVALID_PRICE","NoChanges","UOM_NOT_FOUND"]}}},"paths":{"/v1/core/products/{uid}":{"patch":{"operationId":"Products_update","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductApiRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductApiError"}}}}},"summary":"Updates a product.","tags":["Products"]}}}}
```

## GET /v1/core/products/export

> Exports all products with support for incremental fetching.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Core API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"ExportProductsApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/ExportProducts_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"ExportProducts_Data":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ProductM"}},"next":{"type":"string"}},"required":["items"]},"ProductM":{"type":"object","properties":{"image":{"type":"string"},"price":{"type":"number"},"locales":{"$ref":"#/components/schemas/__type_174bf132"},"calories":{"type":"number"},"sort":{"type":"number"},"allergies":{"type":"array","items":{"type":"string"}},"active":{"type":"boolean"},"type":{"type":"string","enum":["combo","prepared","raw","service","wallet-voucher"]},"sku":{"type":"string"},"inventory":{"type":"boolean"},"primaryUomUid":{"type":"string"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"id":{"type":"string"},"categoryId":{"type":"string"},"taxGroupUid":{"type":"string"},"bomUid":{"type":"string"},"listUids":{"type":"array","items":{"type":"string"}},"comboGroups":{"type":"array","items":{"$ref":"#/components/schemas/ComboGroupM"}},"modifiers":{"type":"array","items":{"$ref":"#/components/schemas/ModifierAssignmentM"}}},"required":["price","locales","uid","id","categoryId","comboGroups","modifiers"]},"__type_174bf132":{"type":"object","properties":{"ar":{"$ref":"#/components/schemas/__type_174bf132_Ar"},"en":{"$ref":"#/components/schemas/__type_174bf132_En"}},"required":["ar","en"]},"__type_174bf132_Ar":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"__type_174bf132_En":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string","nullable":true}},"required":["name"]},"ComboGroupM":{"type":"object","properties":{"locales":{"$ref":"#/components/schemas/__type_174bf132"},"min":{"type":"number"},"max":{"type":"number"},"uid":{"type":"string"},"options":{"type":"array","items":{"$ref":"#/components/schemas/ComboOptionM"}}},"required":["locales","min","max","uid","options"]},"ComboOptionM":{"type":"object","properties":{"upcharge":{"type":"number"},"selected":{"type":"boolean"},"uid":{"type":"string"},"productUid":{"type":"string"}},"required":["uid","productUid"]},"ModifierAssignmentM":{"type":"object","properties":{"minSelection":{"type":"number"},"maxSelection":{"type":"number"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"id":{"type":"string"},"options":{"type":"array","items":{"$ref":"#/components/schemas/ModifierOptionAssignmentM"}}},"required":["id","options"]},"ModifierOptionAssignmentM":{"type":"object","properties":{"defaultQuantity":{"type":"number"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"id":{"type":"string"}},"required":["id"]}}},"paths":{"/v1/core/products/export":{"get":{"operationId":"Products_export","parameters":[{"name":"updatedSince","required":false,"in":"query","schema":{"type":"string"}},{"name":"offset","required":false,"in":"query","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportProductsApiResponse"}}}}},"summary":"Exports all products with support for incremental fetching.","tags":["Products"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.gormic.com/api-reference/core/products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
